Bug 167571 - [new port] biology/seqan
Summary: [new port] biology/seqan
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-04 12:30 UTC by Hannes Hauswedell
Modified: 2012-06-06 19:00 UTC (History)
0 users

See Also:


Attachments
file.shar (97.77 KB, text/plain)
2012-05-04 12:30 UTC, Hannes Hauswedell
no flags Details
seqan.shar (97.76 KB, application/x-shar)
2012-05-15 08:06 UTC, Hannes Hauswedell
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Hannes Hauswedell 2012-05-04 12:30:03 UTC
SeqAn is an open source C++ library of efficient algorithms and data structures for the analysis of sequences with the focus on biological data. Our library applies a unique generic design that guarantees high performance, generality, extensibility, and integration with other libraries. SeqAn is easy to use and simplifies the development of new software tools with a minimal loss of performance.

Fix: rename to .txt and unshar the shar ;)

Patch attached with submission follows:
Comment 1 Dmitry Marakasov freebsd_committer 2012-05-13 13:40:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 2 Dmitry Marakasov 2012-05-13 15:03:32 UTC
* Hannes (h2+fbsdports@fsfe.org) wrote:

This will require some minor fixes. First, please fix issues reported by
portlint (ports-mgmt/portlint), namely you should use tabs for
identation and %%DATADIR%% instead if share/seqan in pkg-plist.

Also:
- CMAKE_BUILD_TYPE is not needed - ports system sets it to Release
  by default, and to Debug if WITH_DEBUG is set. Hardcoding release
  will disable this convenient feature.
- pkg-message should be handled in a more tricky way:
  - use %%PREFIX%% instead of /usr/local in it
  - place it under files/pkg-message.in
  - add SUB_FILES=pkg-message in the port
  - display it in post-install with @${CAT} ${PKG_MESSAGE}
  (see 8.6 of http://www2.au.freebsd.org/doc/en/books/porters-handbook/book.html for details)
- Specifying LICENSE_FILE twice overrides it, you should use
  LICENSE_FILE_BSD / LICENSE_FILE_GPLv3

Except for these nits it seems fine.

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 3 Dmitry Marakasov freebsd_committer 2012-05-13 15:03:45 UTC
State Changed
From-To: open->feedback

Ask for submitter fix.
Comment 4 Hannes Hauswedell 2012-05-15 08:06:49 UTC
Hi Dmitry,

thanks for reviewing the port and your help!

Quoting "Dmitry Marakasov" <amdmi3@amdmi3.ru>:

> * Hannes (h2+fbsdports@fsfe.org) wrote:
>
> This will require some minor fixes. First, please fix issues reported by
> portlint (ports-mgmt/portlint), namely you should use tabs for
> identation and %%DATADIR%% instead if share/seqan in pkg-plist.


Strangely, portlint does not report these issues here. Anway, I fixed   
them as proposed by you.

> Also:
> - CMAKE_BUILD_TYPE is not needed - ports system sets it to Release
>  by default, and to Debug if WITH_DEBUG is set. Hardcoding release
>  will disable this convenient feature.


Makes sense.

> - pkg-message should be handled in a more tricky way:
>  - use %%PREFIX%% instead of /usr/local in it
>  - place it under files/pkg-message.in
>  - add SUB_FILES=pkg-message in the port
>  - display it in post-install with @${CAT} ${PKG_MESSAGE}
>  (see 8.6 of   
> http://www2.au.freebsd.org/doc/en/books/porters-handbook/book.html   
> for details)


Ah, ok. I was sure there had to be a better way, than what I did ;)
I did however have to specify
PKG_MESSAGE=    ${WRKDIR}/pkg-message
now aswell. Is that correct? Otherwise @${CAT} would just sit there waiting...

> - Specifying LICENSE_FILE twice overrides it, you should use
>  LICENSE_FILE_BSD / LICENSE_FILE_GPLv3


I did that, but now portlint complains:

# portlint
WARN: Makefile: only one MASTER_SITE configured.  Consider adding   
additional mirrors.
FATAL: Makefile: extra item "LICENSE_FILE_BSD" placed in the LICENSE section.
FATAL: Makefile: extra item "LICENSE_FILE_GPLv3" placed in the LICENSE  
  section.
2 fatal errors and 1 warning found.

Putting an extra blank line inbetween fixes this, but it is probably a  
bug in portlint, because really these things belong into the LICENSE  
section, or not?

> Except for these nits it seems fine.


I have attached a new shar. Can you check that? Thanks!

Best,
Hannes
Comment 5 Hannes Hauswedell 2012-06-05 03:10:51 UTC
Quoting Hannes <h2+fbsdports@fsfe.org>:
>
> Hi Dmitry,
>
> thanks for reviewing the port and your help!
>
> [...]
>
> I have attached a new shar. Can you check that? Thanks!
>
> Best,
> Hannes
>

Did you have time to look at the port? The PR is still set to  
feedback, are there open issues or do you need further input from me?

Thanks for your help.

Best,
Hannes
Comment 6 dfilter service freebsd_committer 2012-06-06 18:51:45 UTC
amdmi3      2012-06-06 17:51:33 UTC

  FreeBSD ports repository

  Modified files:
    biology              Makefile 
  Added files:
    biology/seqan        Makefile distinfo pkg-descr pkg-plist 
    biology/seqan/files  patch-cmake-CMakeLists.txt 
                         patch-cmake-apps-CMakeLists.txt 
                         pkg-message.in 
  Log:
  SeqAn is an open source C++ library of efficient algorithms
  and data structures for the analysis of sequences with the
  focus on biological data. The library is licensed under the
  3-clause BSD license except the applications which are GPL.
  
  WWW: http://www.seqan.de/
  
  PR:             167571
  Submitted by:   Hannes <h2+fbsdports@fsfe.org>
  
  Revision  Changes    Path
  1.121     +1 -0      ports/biology/Makefile
  1.1       +49 -0     ports/biology/seqan/Makefile (new)
  1.1       +2 -0      ports/biology/seqan/distinfo (new)
  1.1       +13 -0     ports/biology/seqan/files/patch-cmake-CMakeLists.txt (new)
  1.1       +8 -0      ports/biology/seqan/files/patch-cmake-apps-CMakeLists.txt (new)
  1.1       +6 -0      ports/biology/seqan/files/pkg-message.in (new)
  1.1       +6 -0      ports/biology/seqan/pkg-descr (new)
  1.1       +2145 -0   ports/biology/seqan/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Dmitry Marakasov 2012-06-06 18:52:51 UTC
* Hannes (h2+fbsdports@fsfe.org) wrote:
> Quoting Hannes <h2+fbsdports@fsfe.org>:
> >
> > Hi Dmitry,
> >
> > thanks for reviewing the port and your help!
> >
> > [...]
> >
> > I have attached a new shar. Can you check that? Thanks!
> >
> > Best,
> > Hannes
> >
> 
> Did you have time to look at the port? The PR is still set to  
> feedback, are there open issues or do you need further input from me?

Sorry, I've totally missed your followup. Committed with following minor
changes:
- s/YES/yes/
- Add USE_GCC for i386, as it triggers internal error in system gcc
  there

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 8 Dmitry Marakasov freebsd_committer 2012-06-06 18:52:54 UTC
State Changed
From-To: feedback->closed

New port added, with minor changes. Thanks!